import { Field } from "@sitecore-jss/sitecore-jss-vue";
import { LinkType } from "@/utils/common/type/common.type";
import { PriceType } from "@/components/comp-price-tag/CompPriceTag";
import { CompBadgeVariant } from "@/components/comp-badge/CompBadge";
import { CompDrawerLayout, CompDrawerScale } from "@/components/comp-drawer/CompDrawer";
import { CardTagsItem } from "./components/CardTags";
export declare const CompCardVariant: {
    readonly All: "all";
    readonly Category: "category";
    readonly CategoryWithDescription: "category-with-description";
    readonly Feature: "feature";
    readonly Highlight: "highlight";
    readonly Product: "product";
    readonly ProductNoPrice: "product-noprice";
    readonly Story: "story";
};
export type CompCardTitleTag = "h1" | "h2" | "h3" | "h4" | "h5" | "h6";
export type CompCardProps = {
    variant: (typeof CompCardVariant)[keyof typeof CompCardVariant];
    tags?: CardTagsItem[];
    title: Field<string>;
    titleTag: CompCardTitleTag;
    link: LinkType;
    description?: Field<string>;
    locationAndDate?: Field<string>;
    price?: PriceType;
    badge: {
        text: string;
        type: CompBadgeVariant;
    };
    drawerContent?: Field<string> | string;
    drawerScale?: CompDrawerScale;
    drawerLayout?: CompDrawerLayout;
    alternativeDescription?: Field<string>;
};
