import { MediaType } from "@/utils/common/type/common.type";
export type WidthDevice = "default" | "mobile" | "sm" | "md";
export type WidthSettings = {
    [key in WidthDevice]?: number | "full";
};
export type CompMediaAspect = "1/1" | "3/4" | "4/3" | "9/16" | "16/9" | "43/120" | "120/43";
export type CompMediaProps = {
    media: MediaType[];
    deviceColumnSpan?: WidthSettings;
    aspect?: CompMediaAspect;
    caption?: string;
    showLightbox?: boolean;
    autoplay?: boolean;
    hideInterface?: boolean;
    mute?: boolean;
    loop?: boolean;
    playVideo?: boolean;
    keepMasterImage?: boolean;
    lazy?: boolean;
};
