import { AnimationType } from "@/utils/common/type/common.type";
type AnimationPrefix<T> = T extends string ? `overlay-${T}` : T;
export type CompOverlayVariant = "black" | "white" | "grey";
export type CompOverlayTransparencyMode = "opaque" | "linear";
export type AnimationName = AnimationPrefix<AnimationType>;
export type CompOverlayProps = {
    open?: boolean;
    blur?: boolean;
    variant?: CompOverlayVariant;
    transparencyMode?: CompOverlayTransparencyMode;
    centerContent?: boolean;
    isLightbox?: boolean;
    isFixed?: boolean;
    closeOnButton?: boolean;
    closeOnClickOutside?: boolean;
    animation?: AnimationType;
    usedInNotification?: boolean;
};
export {};
